POST /sms/v1/automation/importSend/{id}/deliveryReport

Generates a .csv file that contains information regarding SMS message delivery for a specific MessageList. The resulting report is stored in the account’s Enhanced FTP site.

URL Parameters 

NameTypeDescription
tokenidstringRequired. The ID provided in the MessageList REST response

JSON Parameters 

NameTypeDescription
fileNamestringRequired. The name of the report file in your FTP/reports folder

Usage 

Sent a POST request to the /sms/v1/automation/importSend/{tokenid}/deliveryReport/ endpoint.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /sms/v1/automation/importSend/TOKEN_ID/deliveryReport/
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6{
7  "filename": "DeliveryReportFileName"
8}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!